package com.ruoyi.material.service;

import com.ruoyi.material.domain.CMaterial;
import com.ruoyi.material.domain.temp;

import java.util.List;

/**
 * 物料管理Service接口
 *
 * @author ruoyi
 * @date 2024-02-28
 */
public interface ICMaterialService
{
    /**
     * 查询物料管理
     *
     * @param materialId 物料管理主键
     * @return 物料管理
     */
    public CMaterial selectCMaterialByMaterialId(Long materialId);

    /**
     * 查询物料管理列表
     *
     * @param cMaterial 物料管理
     * @return 物料管理集合
     */
    public List<CMaterial> selectCMaterialList(CMaterial cMaterial);

    /**
     * 新增物料管理
     *
     * @param cMaterial 物料管理
     * @return 结果
     */
    public int insertCMaterial(CMaterial cMaterial);

    /**
     * 修改物料管理
     *
     * @param cMaterial 物料管理
     * @return 结果
     */
    public int updateCMaterial(CMaterial cMaterial);

    /**
     * 批量删除物料管理
     *
     * @param materialIds 需要删除的物料管理主键集合
     * @return 结果
     */
    public int deleteCMaterialByMaterialIds(Long[] materialIds);

    /**
     * 删除物料管理信息
     *
     * @param materialId 物料管理主键
     * @return 结果
     */
    public int deleteCMaterialByMaterialId(Long materialId);

    /**
     * 拉取临时物料及用量表
     * @return
     */
    List<temp> selectTemp();
}
